# GMTSTITCH

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
ASCII FORMAT PRECISION
EXAMPLES
SEE ALSO

## NAME

| gmtstitch − Join line segments whose end points match within tolerance

## SYNOPSIS

| gmtstitc infiles [ −D[template] ] [ −H[i][nrec] ] [ −M[i|o][flag] ] [ −T cutoff[m|c|k|K] ] [ −V ] [ −:[i|o] ] [ −b[i|o][s|S|d|D][ncol] ] [ −bo[s|S|d|D][ncol] ]

## DESCRIPTION

| gmtstitch reads one or more data files (which may be multisegment files; see −M) and examines the coordinates of the end points of all line segments. If a pair of end points are identical or closer to each other than the specified separation tolerance then the two line segments are joined into a single segment. The process repeats until all the remaining endpoints no longer pass the tolerance test; the resulting segments are then written out to standard output.

| file(s)

| One of more data files. If none are supplied then we read standard input.

## OPTIONS

| −D |  | For multiple segment data, dump each segment to a separate output file [Default writes a multiple segment file to stdout]. Append a format template for the individual file names; this template must contain a C format specifier that can format an integer argument (the segment number); this is usually %d but could be %8.8d which gives leading zeros, etc. [Default is gmtstitch_segment_%d.d].
| −H |  | Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults4 file. If used, GMT default is 1 header record. Use −Hi if only input data should have header records [Default will write out header records if the input data have them].
| −M |  | Multiple segment file(s). Segments are separated by a special record. For ASCII files the first character must be flag [Default is ’>’]. For binary files all fields must be NaN and −b must set the number of output columns explicitly. By default the −M setting applies to both input and output. Use −Mi and −Mo to give separate settings.
| −T |  | Specifies the separation tolerance in the data coordinate units [0]. Append m or c for minutes or seconds, k for km (implies −fg and use flat Earth approximation, or K for km (implies -fg, and use exact geodesic distances. If the current ELLIPSOID is Sphere then spherical great circle distances are used. If two lines has endpoints that are closer than this cutoff they will be joined.
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
| −: |  | Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].
| −bi |  | Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S (or D) will force byte-swapping. Optionally, append ncol, the number of columns in your binary file if it exceeds the columns needed by the program. [Default is 2 input columns].
| −bo |  | Selects binary output. Append s for single precision [Default is d (double)]. Uppercase S (or D) will force byte-swapping. Optionally, append ncol, the number of desired columns in your binary output file. [Default is same as input].
| −f |  | Special formatting of input and output columns (time or geographical data). Specify i(nput) or o(utput) [Default is both input and output]. Give one or more columns (or column ranges) separated by commas. Append T (Absolute calendar time), t (time relative to chosen TIME_EPOCH), x (longitude), y (latitude), or f (floating point) to each column or column range item. Shorthand −f[i|o]g means −f[i|o]0x,1y (geographic coordinates).

## ASCII FORMAT PRECISION

| The ASCII output formats of numerical data are controlled by parameters in your .gmtdefaults4 file. Longitude and latitude are formatted according to OUTPUT_DEGREE_FORMAT, whereas other values are formatted according to D_FORMAT. Be aware that the format in effect can lead to loss of precision in the output, which can lead to various problems downstream. If you find the output is not written with enough precision, consider switching to binary output (−bo if available) or specify more decimals using the D_FORMAT setting.

## EXAMPLES

| To combine the digitized multisegment lines segment_*.d (whose coordinates are in cm) into as few complete lines as possible, assuming the end points slop could be up to 0.1 mm, run gmtstitch segment_*.d −Tf0.1 −M > new_segments.d To combine the digitized segments in the multisegment file my_lines.d (whose coordinates are in lon,lat) into as few complete lines as possible, assuming the end points slop could be up to 150 m, and write the complete segments to separate files called Map_segment_0001.dat, Map_segment_0002.dat, etc., run gmtstitch my_lines.d −Tf0.15k −M −DMap_segment_%4.4d.dat

## SEE ALSO

| GMT(l), mapproject(l)